NINFOD(8)

NAME
ninfod - Respond to IPv6 Node Information Queries

SYNOPSIS

ninfod [-dhv] [-p pidfile] [-u user] [-v]

DESCRIPTION

Responds to IPv6 Node Information Queries (RFC4620) from clients. Queries can be sent by various implementations of ping command.

OPTIONS

-d
    Debug mode. Do not go background.

-h
    Show help.

-v
    Verbose mode.

-u user
    Run as another user. user can either be username or user ID.

-p pidfile
    File for process-id storage. user is required to be able to create the file.

-V
    Print version and exit.

SEE ALSO

ping(8).

AUTHOR

ninfod was written by USAGI/WIDE Project.

COPYING

    Copyright (C) 2012 YOSHIFUJI Hideaki.
    Copyright (C) 2002 USAGI/WIDE Project.
    All rights reserved.
    Redistribution and use in source and binary forms, with or without
    modification, are permitted provided that the following conditions
    are met:
    1. Redistributions of source code must retain the above copyright
       notice, this list of conditions and the following disclaimer.
    2. Redistributions in binary form must reproduce the above copyright
       notice, this list of conditions and the following disclaimer in the
       documentation and/or other materials provided with the distribution.
    3. Neither the name of the project nor the names of its contributors
       may be used to endorse or promote products derived from this software
       without specific prior written permission.
    THIS SOFTWARE IS PROVIDED BY THE PROJECT AND CONTRIBUTORS “AS IS” AND
    ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
    IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
    ARE DISCLAIMED.  IN NO EVENT SHALL THE PROJECT OR CONTRIBUTORS BE LIABLE
    FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
    DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
    OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
    HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
    LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
    OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
    SUCH DAMAGE.